VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsCommand"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' (c) 2004 - 2005 by Jochen Wierum

Option Explicit

Private m_cmdName As String
Private m_Params() As String

' Bei Entladen alles lschen
Private Sub Class_Terminate()
    Erase m_Params
End Sub

' Array initialisieren
Private Sub Class_Initialize()
    ReDim m_Params(0)
End Sub

' Name des Befehls
Public Sub SetCmdName(CmdName As String)
    m_cmdName = CmdName
End Sub

Public Function GetCmdName() As String
    GetCmdName = m_cmdName
End Function

' Parameter hinzufgen
Public Sub AddParam(Param As String)
    If Len(m_Params(UBound(m_Params))) > 0 Then ReDim Preserve m_Params(UBound(m_Params) + 1)
    
    m_Params(UBound(m_Params)) = Param
End Sub

' Mehrere Parameter auf einmal bernehmen
Public Sub SetParams(Params() As String)
    Dim i As Long
    
    ReDim m_Params(UBound(Params))
    For i = 0 To UBound(Params)
        AddParam Params(i)
    Next i
End Sub

' Anzahl der Parameter
Public Function GetParamCount() As Long
    GetParamCount = UBound(m_Params)
End Function

' Parameter anhand der ID ermitteln
Public Function GetParam(PNr As Long) As String
    If PNr > UBound(m_Params) Or PNr < 0 Then Exit Function
    GetParam = m_Params(PNr)
End Function
